# Generated by Django 5.0.6 on 2024-05-31 12:47

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0029_alter_meter_flat'),
    ]

    operations = [
        migrations.RenameField(
            model_name='flat',
            old_name='notes',
            new_name='appartment_notes',
        ),
        migrations.AlterField(
            model_name='flat',
            name='number',
            field=models.CharField(max_length=5, verbose_name='Пошт. номер'),
        ),
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=False, verbose_name='Статус')),
                ('issue_type', models.CharField(choices=[('N', 'Примітка'), ('T', 'Завдання')], max_length=5, verbose_name='Тип примітки')),
                ('time_stamp', models.DateTimeField(auto_now_add=True, verbose_name='Дата створення')),
                ('text', models.TextField(verbose_name='Опис')),
                ('completion_date', models.DateTimeField(verbose_name='Термін дії')),
                ('entrance', models.CharField(blank=True, max_length=3, null=True, verbose_name="Під'їзд")),
                ('floor', models.IntegerField(choices=[(-1, -1), (1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9), (10, 10), (11, 11), (12, 12), (13, 13), (14, 14), (15, 15), (16, 16)], verbose_name='Поверх')),
                ('flat', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='notes', to='residents_data.flat')),
            ],
            options={
                'verbose_name': 'Завдання та примітки',
                'verbose_name_plural': 'Завдання та примітки',
                'ordering': ('time_stamp',),
            },
        ),
    ]
